export declare enum ButtonEvent {
    PRESSED = "pressed",
    RELEASED = "released"
}
interface IButton {
    isPressed(): Promise<boolean>;
    on(event: ButtonEvent, listener: () => void): void;
}
export default IButton;
